-- local luaLexersLanguages = {
--   ["script_oberon"] = OberonLexer,
-- }

function path_of(s)
  local path_pattern = '(.*)\\[^%.\\]+%.%w+$'
  local _,_,res = string.find(s,path_pattern)
  if _ then return res else return s end
end

local base_path = path_of(props['ext.lua.startup.script'])

function OnStyle(styler)
  if styler.language ~= nil then
    local lang = string.sub(styler.language,8)
    local lexerfile = base_path .. '\\lexers\\' .. lang .. '.lua'
    local lexerFunc = dofile(lexerfile)
    lexerFunc(styler)
  end
end
